//
//  DistributorSettingViewController.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/11/2.
//  Copyright © 2020 junye lu. All rights reserved.
//

import UIKit

class DistributorSettingViewController: BaseViewController {
    @IBOutlet weak var topLbl: UILabel!
    var dataM:getDbtRuleDataModel? = nil
    var dbt_type = "2"
    var share_type = "2"
    override func viewDidLoad() {
        super.viewDidLoad()
        navbar.title = "分销商分账设置"
        self.view.addSubview(navbar)
        self.view.backgroundColor = .white
        // Do any additional setup after loading the view.
        topLbl.snp.makeConstraints { (make) in
            make.top.equalTo(NavCGRect.height+20)
            make.left.equalTo(15)
        }
        
        if dataM != nil {
            if dataM?.dbt_type == 1 {
                typeBtn1 .setImage(UIImage.init(named: "yuxuan"), for: .normal)
                typeBtn2 .setImage(UIImage.init(named: "daixuan"), for: .normal)
                dbt_type = "1"
            }else if dataM?.dbt_type == 2 {
                typeBtn1 .setImage(UIImage.init(named: "daixuan"), for: .normal)
                typeBtn2 .setImage(UIImage.init(named: "yuxuan"), for: .normal)
                dbt_type = "2"
            }
            
//            if dataM?.share_type == 1 {
//                sharetypeBtn1 .setImage(UIImage.init(named: "yuxuan"), for: .normal)
//                sharetypeBtn2 .setImage(UIImage.init(named: "daixuan"), for: .normal)
//                share_type = "1"
//            }else if dataM?.share_type == 2 {
                sharetypeBtn1 .setImage(UIImage.init(named: "daixuan"), for: .normal)
                sharetypeBtn2 .setImage(UIImage.init(named: "yuxuan"), for: .normal)
                share_type = "2"
//            }
        }
     }
  
    @IBOutlet weak var typeBtn1: UIButton!
    @IBOutlet weak var typeBtn2: UIButton!
    
    @IBAction func typeAction(_ sender: UIButton) {
        if typeBtn1 == sender {
            typeBtn1 .setImage(UIImage.init(named: "yuxuan"), for: .normal)
            typeBtn2 .setImage(UIImage.init(named: "daixuan"), for: .normal)
            dbt_type = "1"

        }else if typeBtn2 == sender{
            typeBtn1 .setImage(UIImage.init(named: "daixuan"), for: .normal)
            typeBtn2 .setImage(UIImage.init(named: "yuxuan"), for: .normal)
            dbt_type = "2"

        }
    }
    @IBOutlet weak var sharetypeBtn1: UIButton!
    @IBOutlet weak var sharetypeBtn2: UIButton!
    
    @IBAction func sharetypeAction(_ sender: UIButton) {
//        if sharetypeBtn1 == sender {
//            sharetypeBtn1 .setImage(UIImage.init(named: "yuxuan"), for: .normal)
//            sharetypeBtn2 .setImage(UIImage.init(named: "daixuan"), for: .normal)
//            share_type = "1"
//
//        }else if sharetypeBtn2 == sender{
            sharetypeBtn1 .setImage(UIImage.init(named: "daixuan"), for: .normal)
            sharetypeBtn2 .setImage(UIImage.init(named: "yuxuan"), for: .normal)
            share_type = "2"

//        }
    }
    @IBAction func submitAction(_ sender: Any) {
        //保存
        HUD.flash(.progress)
        let UserToken = UserDefaults.standard.value(forKey: "user_token")
        //分账方式 1人工结算 2自动结算      分享方式 1（1对1结算）2（1对多结算）
        setDbtRule(["user_token":UserToken as Any,"dbt_type":dbt_type as Any,"commission_time":"1" as Any,"share_type":share_type as Any]) { (data) in
            HUD.hide()
            HUD.flash(.labeledSubSuccess(subtitle: "提交成功"), delay: 1.2)
        } failture: { (error) in
            
        }

    }
    

}
